<?php

/*
Mailboy - A Php/MySQL application that offers a web based interface
to administer an email server. It can be used by the server administrator
as well as the email users.
(c) 2009 Emmanuel Revah - manu-at-manurevah.com
http://manurevah.com/blah/en/pages/mailboy

This file is part of Mailboy.

Mailboy is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Mailboy is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Mailboy.  If not, see <http://www.gnu.org/licenses/>.
*/

session_start();
$old_sessionid = session_id();
session_regenerate_id();
$new_sessionid = session_id();

$mailboy_version = "0.5";

require_once('db_config.php');
require_once('inc/functions.php');
makesqlhappen();
require_once('inc/user_update.php');
require_once('config.php');

$page = $_GET[page];

// define authorized pages array
if (am_i_admin()) {
	$pages_allowed = $admin_pages;
} elseif (am_i_user()) {
	$pages_allowed = $user_pages;
} else {
	$pages_allowed = $public_pages;
}

if (array_key_exists($page, $pages_allowed)) {
	$get_page = $page;
	$page = "$page.php";
} elseif (!am_i_user()) {
	$page = "login.php";
} elseif (!empty($page)) {
	$page = "404.php";
}

if ($page) {
	require_once("inc/$page");
}

require_once("templates/$template/main.php");
if ($page) {
	require_once("templates/$template/$page");
}
?>
